# $Revision: 1.49 $, $Date: 2007/04/13 21:15:48 $
# TODO
# - kaffeine-mozilla-0.2.tar.bz2 (Starter-Plugin for Mozilla)
# - check: http://kaffeine.sourceforge.net/index.php?page=faq#question4
#
# Conditional build:
%bcond_without	gstreamer	# build without gstreamer part
#
Summary:	Full featured Multimedia-Player for KDE
Summary(pl.UTF-8):	Frontend do xine pod KDE
Name:		kaffeine
Version:	0.8.4
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://dl.sourceforge.net/kaffeine/%{name}-%{version}.tar.bz2
# Source0-md5:	6f62ebb7a6f88ff49f452856a1660d95
Patch0:		%{name}-win32-path.patch
Patch1:		%{name}-desktop.patch
Patch2:		kde-ac260-lt.patch
URL:		http://kaffeine.sourceforge.net/
BuildRequires:	automake
BuildRequires:	cdparanoia-III-devel
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	lame-libs-devel
BuildRequires:	rpmbuild(macros) >= 1.122
BuildRequires:	xine-lib-devel >= 2:1.1.0
%if %{with gstreamer}
BuildRequires:	gstreamer-plugins-base-devel >= 0.10
Requires:	gstreamer >= 0.10
%endif
Requires:	kdebase-core >= 9:3.2.0
Requires:	libdvdcss
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kaffeine is a full featured Multimedia-Player for KDE. By default it
uses xine as backend.

%description -l pl.UTF-8
W pełni zintegrowany z KDE frontend do xine.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common
%configure \
	--disable-rpath \
	--with-qt-libraries=%{_libdir} \
	--with%{!?with_gstreamer:out}-gstreamer
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

# no devel libraries, why did these get installed?
rm -r $RPM_BUILD_ROOT%{_includedir}/%{name}

rm $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-mplayer2.desktop

# pick docs
%find_lang %{name} --with-kde
# second try. pic locale files
# FIXME: remove version?
%find_lang %{name}-%{version} --with-kde
cat  %{name}-%{version}.lang >> %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kaffeine
%attr(755,root,root) %{_libdir}/libkaffeineaudioencoder.so.0.0.1
%{_libdir}/libkaffeineaudioencoder.la
%{_libdir}/kde3/libkaffeinemp3lame.la
%attr(755,root,root) %{_libdir}/kde3/libkaffeinemp3lame.so
%{_libdir}/kde3/libkaffeineoggvorbis.la
%attr(755,root,root) %{_libdir}/kde3/libkaffeineoggvorbis.so
%{_datadir}/apps/kaffeine
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/apps/profiles/kaffeine.profile.xml
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/services/kaffeinemp3lame.desktop
%{_datadir}/services/kaffeineoggvorbis.desktop
%{_datadir}/servicetypes/kaffeineaudioencoder.desktop
%{_desktopdir}/kde/kaffeine.desktop
%{_iconsdir}/[!l]*/*/*/*.png
%{_libdir}/kde3/libxinepart.la
%attr(755,root,root) %{_libdir}/kde3/libxinepart.so
%{_libdir}/libkaffeinedvbplugin.la
%attr(755,root,root) %{_libdir}/libkaffeinedvbplugin.so.0.0.1
%{_libdir}/libkaffeinepart.la
%attr(755,root,root) %{_libdir}/libkaffeinepart.so
%{_datadir}/services/xine_part.desktop
%{_datadir}/servicetypes/kaffeinedvbplugin.desktop

# gstreamer part
%if %{with gstreamer}
%attr(755,root,root) %{_libdir}/kde3/libgstreamerpart.so
%{_libdir}/kde3/libgstreamerpart.la
%dir %{_datadir}/apps/gstreamerpart
%{_datadir}/apps/gstreamerpart/gstreamer_part.rc
%{_datadir}/services/gstreamer_part.desktop
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kaffeine.spec,v $
Revision 1.49  2007/04/13 21:15:48  shadzik
- 0.8.4
- updated gstreamer BR

Revision 1.48  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.47  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.46  2006/12/06 04:09:06  shadzik
- more BR updates
- kill useless Requires

Revision 1.45  2006/12/06 04:03:39  shadzik
- updated BRs (why was BR!=R in case of kdelibs ?)

Revision 1.44  2006/11/28 20:23:33  glen
- add kde-ac260-lt.patch

Revision 1.43  2006/11/28 20:19:12  shadzik
- %files, builds

Revision 1.42  2006/11/28 20:16:33  shadzik
- don't remove things doesn't exist

Revision 1.41  2006/11/28 19:50:56  shadzik
- no need for kde-ac260.patch

Revision 1.40  2006/11/28 18:32:44  shadzik
- auto up to 0.8.3

Revision 1.39  2006/11/10 12:39:03  czarny
- adapted some kde-ac260 patches to make it build with new autoconf and gcc

Revision 1.38  2006/10/11 06:29:29  glen
- added kde-common-PLD.patch

Revision 1.37  2006/09/11 13:09:59  shadzik
- 0.8.2
- should xine_part be packed separatly ?
- less and more %files

Revision 1.36  2006/07/26 15:48:06  glen
- remove extra unneeded slash

Revision 1.35  2006/06/05 11:47:27  qboosh
- use gstreamer08x name in R

Revision 1.34  2006/06/05 06:58:51  hawk
- release 3

Revision 1.33  2006/06/03 21:40:01  glen
- adjust gstreamer deps

Revision 1.32  2006/05/26 10:43:10  hawk
- release 2

Revision 1.31  2006/05/14 10:39:38  glen
- BR cdparanoia-III-devel, lame-libs-devel; kdelibs epoch

Revision 1.30  2006/04/09 14:16:24  glen
- add CVE ref, updated descriptions

Revision 1.29  2006/04/04 11:59:29  glen
- packaged 0.8.1 [resolves CVE-2006-0051]. might need some spec fixes

Revision 1.28  2005/10/04 13:07:18  prism
- gstreamer part bconded and provided necessary BRs and Rs (i hope)

Revision 1.27  2005/09/12 17:46:01  glen
- rel 2

Revision 1.26  2005/09/04 22:58:27  glen
- 0.7.1

Revision 1.25  2005/08/09 09:33:50  glen
- updated to 0.7

Revision 1.24  2005/06/22 17:58:55  glen
- apply the patch which was missing from last commit
- rel 3

Revision 1.23  2005/05/14 08:42:23  ankry
- desktop patch is back: remove duplicated Categories entry, pl, informative Comment

Revision 1.22  2005/05/14 08:36:11  ankry
- pt locale fix, rel. 2

Revision 1.21  2005/05/13 20:46:39  glen
- rel 1; STBR

Revision 1.20  2005/05/13 20:41:41  ankry
- file conflict resolved in another way

Revision 1.19  2005/05/03 10:39:46  glen
- removed --enable-final. it's broken
- make kaffeine startup wizard happy

Revision 1.18  2005/05/03 09:09:31  glen
- enable-final
- workaround for x-mplayer2.desktop file conflict with kmplayer

Revision 1.17  2005/05/02 22:31:28  glen
- version 0.6

Revision 1.16  2005/03/12 21:24:52  saq
- added unpackaged files
- release 1

Revision 1.15  2005/02/13 15:31:15  qboosh
- unified

Revision 1.14  2005/02/12 16:28:22  darekr
- BR: automake

Revision 1.13  2004/12/26 23:39:40  adamg
- updated to 0.5 (nfy)

Revision 1.12  2004/08/29 00:55:11  undefine
- update to 0.4.3b, kaffeineplugin is now in separate package(TODO rpmize;)
- release 0.1

Revision 1.11  2004/04/10 19:13:03  adamg
- added URL field

Revision 1.10  2004/02/06 16:21:59  adgor
- Patch 0 no longer needed
- Fixed %files

Revision 1.9  2004/02/06 00:00:31  adgor
- make -f admin/Makefile.common successfully passed
- amd64 friendly
- TODO: Check if patch0 is still needed

Revision 1.8  2004/02/05 23:40:02  adgor
- %{__standarize}

Revision 1.7  2004/02/05 23:21:07  jm
- update to 0.4.1 (sent by Tomasz Kowalczyk)

Revision 1.6  2004/02/04 12:59:42  qboosh
- fixed Categories (missing semicolon)

Revision 1.5  2003/10/20 14:36:08  adgor
- md5

Revision 1.4  2003/10/20 14:14:13  adgor
- 0.4beta1

Revision 1.3  2003/08/18 09:12:54  qboosh
- use _iconsdir macro

Revision 1.2  2003/08/18 08:08:13  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.1  2003/08/16 17:59:28  adgor
- Initial
